> For the complete documentation index, see [llms.txt](https://docs.fluentbit.io/manual/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fluentbit.io/manual/1.8/installation/yocto-embedded-linux.md).

# Yocto / Embedded Linux

[Fluent Bit](https://fluentbit.io) source code provides Bitbake recipes to configure, build and package the software for a Yocto based image. Note that specific steps of usage of these recipes in your Yocto environment (Poky) is out of the scope of this documentation.

We distribute two main recipes, one for testing/dev purposes and other with the latest stable release.

| Version | Recipe                                                                                          | Description                                                                                              |
| ------- | ----------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| devel   | [fluent-bit\_git.bb](https://github.com/fluent/fluent-bit/blob/master/fluent-bit_git.bb)        | Build Fluent Bit from GIT master. This recipe aims to be used for development and testing purposes only. |
| v1.8.12 | [fluent-bit\_1.8.12.bb](https://github.com/fluent/fluent-bit/blob/v1.8.12/fluent-bit_1.8.12.bb) | Build latest stable version of Fluent Bit.                                                               |

It's strongly recommended to always use the stable release of Fluent Bit recipe and not the one from GIT master for production deployments.

## Fluent Bit and other architectures

Fluent Bit >= v1.1.x fully supports x86\_64, x86, arm32v7 and arm64v8.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fluentbit.io/manual/1.8/installation/yocto-embedded-linux.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
